JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::midi_ci::BufferOutput Class Referenceabstract
juce_midi_ci » ci

Represents a destination into which MIDI-CI messages can be written. More...

`#include <juce_CIResponderOutput.h>`

Inheritance diagram for juce::midi_ci::BufferOutput:

## Public Member Functions
| BufferOutput ()=default
virtual | ~BufferOutput ()=default
virtual MUID | getMuid () const =0
| Returns the MUID of the responder.
virtual std::vector< std::byte > & | getOutputBuffer ()=0
| Returns the buffer into which replies should be written.
virtual void | send (uint8_t group)=0
| Sends the current contents of the buffer to the provided group.

## Detailed Description

Represents a destination into which MIDI-CI messages can be written.

Each message should be written into the output buffer. Then, send() will send the current contents of the buffer to the specified group.

## Constructor & Destructor Documentation

## ◆ BufferOutput()

juce::midi_ci::BufferOutput::BufferOutput | ( |  | ) |
| default

## ◆ ~BufferOutput()

virtual juce::midi_ci::BufferOutput::~BufferOutput | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ getMuid()

virtual MUID juce::midi_ci::BufferOutput::getMuid | ( |  | ) | const
| pure virtual

Returns the MUID of the responder.

## ◆ getOutputBuffer()

virtual std::vector< std::byte > & juce::midi_ci::BufferOutput::getOutputBuffer | ( |  | ) |
| pure virtual

Returns the buffer into which replies should be written.

## ◆ send()

virtual void juce::midi_ci::BufferOutput::send | ( | uint8_t | group | ) |
| pure virtual

Sends the current contents of the buffer to the provided group.

The documentation for this class was generated from the following file:

- juce_CIResponderOutput.h